#
# spec file for package gnome-spell2 (Version 1.0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel aspell aspell-devel aspell-en atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libidl libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-spell2
BuildRequires:  aspell-devel gnome-common intltool libglade2-devel libgnomeui-devel libidl
URL:            http://www.gnome.org/
%define _name gnome-spell
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Obsoletes:      bonobo-conf
Version:        1.0.6
Release:        22.2
Summary:        Bonobo Spelling Component
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{_name}/1.0/%{_name}-%{version}.tar.bz2
Patch:          %{_name}-1.0.5.dif

%description
The GNOME/Bonobo spelling component.



Authors:
--------
    Radek Doulik <rodo@ximian.com>

%debug_package
%prep
%setup -q -n %{_name}-%{version}
#%patch

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{suse_update_config}
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --disable-static
make clean
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL       
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/gnome-spell/*.*a
%find_lang %{_name}-%{version}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{_name}-%{version}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%{_lib}/bonobo/servers/*.server
%dir %{prefix}/%{_lib}/gnome-spell
#%{prefix}/%{_lib}/gnome-spell/*.*a
%{prefix}/%{_lib}/gnome-spell/*.so*
%dir %{prefix}/share/control-center-2.0
%dir %{prefix}/share/control-center-2.0/icons
%{prefix}/share/control-center-2.0/icons/*.png
%{prefix}/share/%{_name}-%{version}
%{prefix}/share/idl/*.idl

%changelog -n gnome-spell2
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 23 2005 - ro@suse.de
- removed control-center from nfb and added dirs instead
  to break up build-dep cycle
* Sat Feb 12 2005 - gekker@suse.de
- Update to version 1.0.6
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Fri Sep 10 2004 - ro@suse.de
- added shared-mime-info to neededforbuild
* Wed May 19 2004 - ro@suse.de
- do not define GTK_DISABLE_DEPRECATED
- make clean to regenerate Spell-stubs.c
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Sep 22 2003 - sbrabec@suse.cz
- Obsolete bonobo-conf.
* Tue Sep 16 2003 - sbrabec@suse.cz
- Fixed building of shared library (bug #30329).
- Not packaged unneeded *.*a files.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 1.0.5.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 01 2003 - ro@suse.de
- added control-center2 to neededforbuild
* Mon Jun 02 2003 - sbrabec@suse.cz
- Updated to version 1.0.4.
* Thu May 22 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
